XnBaseNode Struct Reference

`#include <XnBaseNode.h>`

Inheritance diagram for XnBaseNode:
[legend]

## Public Attributes

XnBaseNode * | m_pNext
XnBaseNode * | m_pPrevious
XnValue | m_Data

## Detailed Description

The base of the building block of the data types - XnBaseNode

## Member Data Documentation

## m_Data

XnValue XnBaseNode::m_Data

the value of the XnNode

## m_pNext

XnBaseNode* XnBaseNode::m_pNext

the next XnNode

## m_pPrevious

XnBaseNode* XnBaseNode::m_pPrevious

the previous XnNode

The documentation for this struct was generated from the following file:

- XnBaseNode.h